Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.theme.impl
Class JSPLayout

    java.lang.Object
      org.jboss.portal.theme.PortalLayout
          org.jboss.portal.theme.impl.JSPLayout

All Implemented Interfaces:
  ObjectRenderer, PageRenderer

    public final class JSPLayout

extends PortalLayout
implements PageRenderer

Layout implementation that uses JSPs (and tags) to render the response back to the client.

Version:
  $Revision: 8784 $
Author:
  Martin Holzner
See Also:
  `LayoutDispatcher`

Field Summary

Fields inherited from class org.jboss.portal.theme.PortalLayout
`info, serviceInfo`

Constructor Summary
`JSPLayout()`

Method Summary
`void` | `endContext(RendererContext rendererContext, ObjectRendererContext objectRenderContext)`
`RendererContext` | `getRenderContext(ThemeContext themeContext, MarkupInfo markupInfo, ServletContextDispatcher dispatcher)` Provides a render context that will render its markup in the response provided by the servlet context dispatcher.
`RendererContext` | `getRenderContext(ThemeContext themeContext, MarkupInfo markupInfo, ServletContextDispatcher dispatcher, java.io.Writer writer)` Provides a render context that will render its markup in the provided writer.
`void` | `render(RendererContext rendererContext, PageRendererContext prc)`
`void` | `startContext(RendererContext rendererContext, ObjectRendererContext objectRenderContext)`

Methods inherited from class org.jboss.portal.theme.PortalLayout
`destroy, getLayoutInfo, getServiceInfo, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JSPLayout

    public JSPLayout()

Method Detail

### getRenderContext

    public RendererContext getRenderContext(ThemeContext themeContext,
                                            MarkupInfo markupInfo,
                                            ServletContextDispatcher dispatcher)

  Description copied from class: `PortalLayout`
  Provides a render context that will render its markup in the response provided by the servlet context dispatcher.

  Specified by:
    `getRenderContext` in class `PortalLayout`
  Parameters:
    `themeContext` - the theme context
    `markupInfo` - the markup info
    `dispatcher` - the way to dispatch to the layout and receive the produced markup
  Returns:
    a render context

### getRenderContext

    public RendererContext getRenderContext(ThemeContext themeContext,
                                            MarkupInfo markupInfo,
                                            ServletContextDispatcher dispatcher,
                                            java.io.Writer writer)

  Description copied from class: `PortalLayout`
  Provides a render context that will render its markup in the provided writer.

  Specified by:
    `getRenderContext` in class `PortalLayout`
  Parameters:
    `themeContext` - the theme context
    `markupInfo` - the markup info
    `dispatcher` - the way to dispatch to the layout
    `writer` - the writer that will receive the produced markup
  Returns:
    a render context

### startContext

    public void startContext(RendererContext rendererContext,
                             ObjectRendererContext objectRenderContext)

  Specified by:
    `startContext` in interface `ObjectRenderer`

### endContext

    public void endContext(RendererContext rendererContext,
                           ObjectRendererContext objectRenderContext)

  Specified by:
    `endContext` in interface `ObjectRenderer`

### render

    public void render(RendererContext rendererContext,
                       PageRendererContext prc)
                throws RenderException

  Specified by:
    `render` in interface `PageRenderer`
  Throws:
    `RenderException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD